"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorInvalidHexString = new Error('Can only convert string containing hexadecimal digits');
function _isHex(input) {
    var _exec = /[\da-f]*/im.exec(input);
    var match;
    if (_exec) {
        match = _exec[0];
    }
    return match === input;
}
function _hexMap(input) {
    switch (input) {
        case 'a': return 10;
        case 'b': return 11;
        case 'c': return 12;
        case 'd': return 13;
        case 'e': return 14;
        case 'f': return 15;
        default: return +input;
    }
}
function convertHex(input) {
    if (_isHex(input)) {
        return input.split('').reverse().reduce(function (accum, value, index) { return (accum + (_hexMap(value) * (Math.pow(16, index)))); }, 0);
    }
    else {
        throw exports.ErrorInvalidHexString;
    }
}
exports.default = convertHex;
//# sourceMappingURL=convert-hex.js.map